> ## Documentation Index
> Fetch the complete documentation index at: https://docs.oktolabs.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Presets

> List all presets: built-in + custom owned by the user.



## OpenAPI

````yaml /openapi.json get /api/v1/presets
openapi: 3.1.0
info:
  description: >-
    Okto Pulse REST API schema generated from okto-pulse-core 0.2.0 source for
    docs.oktolabs.ai.
  title: Okto Pulse
  version: 0.2.0
servers: []
security: []
paths:
  /api/v1/presets:
    get:
      tags:
        - presets
      summary: List Presets
      description: 'List all presets: built-in + custom owned by the user.'
      operationId: list_presets_api_v1_presets_get
      responses:
        '200':
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/PresetResponse'
                title: Response List Presets Api V1 Presets Get
                type: array
          description: Successful Response
      security:
        - HTTPBearer: []
components:
  schemas:
    PresetResponse:
      properties:
        base_preset_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Base Preset Id
        created_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          title: Created At
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        flags:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Flags
        id:
          title: Id
          type: string
        is_builtin:
          title: Is Builtin
          type: boolean
        name:
          title: Name
          type: string
        owner_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Owner Id
        updated_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          title: Updated At
      required:
        - id
        - owner_id
        - name
        - description
        - is_builtin
        - base_preset_id
        - flags
      title: PresetResponse
      type: object
  securitySchemes:
    HTTPBearer:
      scheme: bearer
      type: http

````